Subject: Re: bug#17389: 24.4.50; REGRESSION: extraneous file locking

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 May 2014 19:15:58 +0300

> Date: Fri, 2 May 2014 08:57:48 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > Indeed, this is a new feature (on Windows) in Emacs 24.4.  On other
> > platforms, Emacs behaved like that since a very long time ago.
> > etc/NEWS tells how to turn this feature off, if you don't want it.
> 
> That says to customize `create-lockfiles' to nil to disable file
> locking.  Not sure what that means.  Will that restore the pre-Emacs
> 24.4 behavior?  I want Emacs to do exactly what it has done before
> in this regard, neither more nor less.

It will restore the previous behavior regarding file locking,
i.e. files you modify will not be locked.  Whether that is what you
want, I don't know, but it should be easy for you to try and see.